version: '2'

services:
  server:
    image: node:7
    command: npm run start:dev
    working_dir: /app
    volumes:
      - .:/app
    environment:
      PORT: 3000
      CONNECTION_STRING_DEV: postgres://user:password@db/db
    ports:
      - "3000:3000"
      - "5858:5858"
    links:
      - db
  db:
    image: postgres:9.3
    expose:
      - 5432
    volumes:
      -  postgresql-volume:/var/lib/postgresql/data
    environment:
      POSTGRES_PASSWORD: password
      POSTGRES_USER: user
      POSTGRES_DB: db

volumes:
  postgresql-volume:
    external: true
    